Skip to content
PATCH /unified/ticketing/accounts/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

custom_fields
2 supported
Front
supported
Planhat
supported
descriptionstring
1 supported
Front
supported
domainsstring[]

Domains associated with the account

3 supported
Front
supported
Planhat
supported
Productboard
supported
namestring

The name of the account

5 supported3 required
BMC Helix
required
Front
required
Productboard
required
Planhat
supported
Teamwork Project Management
supported
remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

typestring
1 supported
BMC Helix
supported
website
1 supported
Front
supported

Response Body

idstring
required·

The unique identifier for an account

4 supported
Front
supported
Planhat
supported
Productboard
supported
Teamwork Project Management
supported
created_atstring · date-time

The date and time of the account's creation

3 supported
Front
supported
Planhat
supported
Teamwork Project Management
supported
domainsstring[]

Domains associated with the account

3 supported
Front
supported
Planhat
supported
Productboard
supported
etagstring

The unique identifier for the specific version of the resource.

namestring

The name of the account

4 supported
Front
supported
Planhat
supported
Productboard
supported
Teamwork Project Management
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

updated_atstring · date-time

The date and time of the account's last update

3 supported
Front
supported
Planhat
supported
Teamwork Project Management
supported
curl -X PATCH 'https://api.truto.one/unified/ticketing/accounts/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "your_name",
  "type": "your_type",
  "description": "your_description",
  "domains": [],
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "name": "your_name",
  "type": "your_type",
  "description": "your_description",
  "domains": [],
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/ticketing/accounts/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'PATCH',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ticketing/accounts/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "name": "your_name",
    "type": "your_type",
    "description": "your_description",
    "domains": [],
    "remote_data": {}
}

response = requests.patch(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.update(
  'ticketing',
  'accounts',
  '<resource_id>',
  {
  "name": "your_name",
  "type": "your_type",
  "description": "your_description",
  "domains": [],
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.update(
        "ticketing",
        "accounts",
        "<resource_id>",
        {
        "name": "your_name",
        "type": "your_type",
        "description": "your_description",
        "domains": [],
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())